### Name: data2fd
### Title: Convert Discrete Data to Functional Data
### Aliases: data2fd
### Keywords: smooth

### ** Examples


#    set up the fourier basis
nbasis   <- 65
dayrange <- c(0,365)
daybasis <- create.fourier.basis(dayrange, nbasis)
#  Make temperature fd object
#  Temperature data are in 12 by 365 matrix tempav
#    See analyses of weather data.
#  Set up sampling points at mid days
daytime  <- (1:365)-0.5
#  Convert the data to a functional data object
tempfd <- data2fd(daily$tempav, daytime, daybasis)
#  plot the temperature curves
plot(tempfd)




